package com.sliit.smartserviceassistant;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

import com.sliit.smartserviceassistant.insurance.InsuranceMainActivity;
import com.sliit.smartserviceassistant.maintenancedetails.MaintenanceDetailsMainActivity;
import com.sliit.smartserviceassistant.repairmethods.RepairMethodsMainActivity;
import com.sliit.smartserviceassistant.spareparts.SparePartsMainActivity;

public class MainActivity extends AppCompatActivity {

    private Button btn_insurance;
    private Button btn_maintenance;
    private Button btn_repair_methods;
    private Button btn_spare_parts;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // Button navigation to insurance function
        btn_insurance = findViewById(R.id.btn_ins);
        btn_insurance.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(MainActivity.this, InsuranceMainActivity.class);
                startActivity(intent);
            }
        });

        // Button navigation to maintenance function
        btn_maintenance = findViewById(R.id.btn_maintenance_details);
        btn_maintenance.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(MainActivity.this, MaintenanceDetailsMainActivity.class);
                startActivity(intent);
            }
        });

        // Button navigation to repair methods function
        btn_repair_methods = findViewById(R.id.btn_repair_methods);
        btn_repair_methods.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(MainActivity.this, RepairMethodsMainActivity.class);
                startActivity(intent);
            }
        });

        // Button navigation to insurance function
        btn_spare_parts = findViewById(R.id.btn_spare_parts_price);
        btn_spare_parts.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(MainActivity.this, SparePartsMainActivity.class);
                startActivity(intent);
            }
        });
    }

}